TONTONDocs
TON CenterAPI referenceBlocks

Get outbound message queue size

Return the current size of the outbound message queue for each shard.

GET
/api/v2/getOutMsgQueueSize

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getOutMsgQueueSize"
{
  "ok": true,
  "result": {
    "@type": "blocks.outMsgQueueSizes",
    "shards": [
      {
        "@type": "blocks.outMsgQueueSize",
        "id": {
          "@type": "ton.blockIdExt",
          "workchain": 0,
          "shard": "string",
          "seqno": 0,
          "root_hash": "string",
          "file_hash": "string"
        },
        "size": 0
      }
    ],
    "ext_msg_queue_size_limit": 0
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings